Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class BusinessFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          de.jsystems.framework.controls.FFrame
                              de.jsystems.framework.common.BusinessFrame

All Implemented Interfaces:
  Accessible, IActionInterface, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IWindow, MenuContainer, RootPaneContainer, Serializable, WindowConstants

Direct Known Subclasses:
  BusinessDesktopFrame

public class BusinessFrame
extends FFrame

Diese Klasse stellt Standardfunktionalität für ein Frame dar. Das Frame enthält ein Menü, eine Statusleiste und eine Toolbar. Mit Hilfe des zugehörigen Controllers kann ein Standardmenü oder eine Standardtoolbar erzeugt werden. Diese brauchen dann nur noch im Frame gesetzt zu werden.

Die anzuzeigende Oberfläche(`BusinessView`) wird durch eine Methode(`setBusinessView(de.jsystems.framework.common.BusinessView)`) gesetzt. Der direkte Aufruf der Methode `JFrame.getContentPane()` zum hinzufügen sollte nicht benutzt werden.
Beim schliessen des Fensters ueber das Rahmenmenue wird im zugehoerigen Controller die Methode canExit() aus der Klasse `Controller` aufgerufen. Das wird dadurch ermoeglicht, dass im FrameController beim erzeugen des Frames eine `CloseFrameAction` registriert wird.

Version:
  1.0
  Copyright by Jens Homm 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected BusinessFrameController` | `controller` FrameController
`protected BusinessView` | `leftView` Enthaelt die linke Oberflaeche fuer das Frame.
`protected BusinessView` | `rightView` Enthaelt die rechte Oberflaeche fuer das Frame.
`protected BusinessView` | `view` Enthaelt die eigentliche Oberflaeche fuer das Frame.

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessFrame()` Erzeugt ein neues Frame.

Method Summary
`BusinessView` | `getBusinessView()` Gibt die gerade angezeige BusinessView zurück.
`BusinessFrameController` | `getController()` Gibt den Controller dieses Frames zurück.
`BusinessView` | `getLeftBusinessView()` Gibt die auf der linken Seite gesetzte View zurueck.
`BusinessMenu` | `getMenue()` Gibt das Menü des Frames zurück.
`BusinessView` | `getRightBusinessView()` Gibt die auf der rechten Seite gesetzte View zurueck.
`DefaultStatusZeile` | `getStatusArea()` Gibt die angezeigte StatusArea zurück.
`BusinessToolbar` | `getToolbar()` Gibt die Toolbar des Frames zurück.
`void` | `removeStatusArea()` Löscht die Statuszeile aus der Anzeige.
`void` | `removeToolbar()` Löscht die Toolbar aus der Anzeige.
`void` | `setBusinessView(BusinessView newView)` Setzt die anzuzeigende View für das Frame.
`void` | `setController(BusinessFrameController controller)` Setzt den Controller für dieses Frame.
`void` | `setLeftBusinessView(BusinessView newLeftView)` Setzt die uebergebene View als linke View im Frame.
`void` | `setMenue(BusinessMenu menue)` Setzt das Menü für dieses Frame.
`void` | `setRightBusinessView(BusinessView newRightView)` Setzt die uebergebene View als rechte View im Frame.
`void` | `setStatusArea(DefaultStatusZeile statusArea)` Setzt eine Statuszeile im Dialog.
`void` | `setToolbar(BusinessToolbar toolbar)` Setzt die Toolbar für dieses Frame.
`void` | `zentrieren()` Zentriert das Frame auf der Mitte des Bildschirms.

Methods inherited from class de.jsystems.framework.controls.FFrame
`addMouseInputListener, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForKey, getActionClassForMouse, getActionClassForMouseInput, getActionClassForMouseMotion, getActionClassForPropertyChange, getActionClassForWindow, removeMouseInputListener, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForKey, setActionClassForMouse, setActionClassForMouseInput, setActionClassForMouseMotion, setActionClassForPropertyChange, setActionClassForWindow`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IWindow
`addWindowListener, removeWindowListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### controller

    protected BusinessFrameController controller

  FrameController

### view

    protected BusinessView view

  Enthaelt die eigentliche Oberflaeche fuer das Frame.

### leftView

    protected BusinessView leftView

  Enthaelt die linke Oberflaeche fuer das Frame.

### rightView

    protected BusinessView rightView

  Enthaelt die rechte Oberflaeche fuer das Frame.

Constructor Detail

### BusinessFrame

    public BusinessFrame()

  Erzeugt ein neues Frame. Dieses wird hier vorbereitet, um eine BusinessView aufnehmen zu koennen. Da ein Frame immer nur eine BusinessView anzeigen kann, muss diese alle benoetigten Felder enthalten. Falls noetig, koennen dieser View(der sogenannten 'Hauptview') weitere BusinessViews hinzugefuegt werden. Das ist dann aber Implementierungssache. Standardmaessig wird fuer das Schliessen des Frames ueber das Fenstermenue (das Kreuz rechts oben in der Ecke) die Action `CloseFrameAction` aufgerufen. Die Action ruft dann im zugehoerigen Controller die Methode `Controller.canExit()` auf.

Method Detail

### getController

    public BusinessFrameController getController()

  Gibt den Controller dieses Frames zurück.

  Returns:
    Der Controller des Frame.

### setController

    public void setController(BusinessFrameController controller)

  Setzt den Controller für dieses Frame.

  Parameters:
    `controller` - Der Controller fuer das Frame.

### setBusinessView

    public void setBusinessView(BusinessView newView)

  Setzt die anzuzeigende View für das Frame.

### getBusinessView

    public BusinessView getBusinessView()

  Gibt die gerade angezeige BusinessView zurück.

  Returns:
    Die gerade im Frame angezeigte View.

### setRightBusinessView

    public void setRightBusinessView(BusinessView newRightView)

  Setzt die uebergebene View als rechte View im Frame. Aus der uebergebenen View wird hier aber nicht der Titel ausgelesen oder die Eigenschaft, ob das Frame in der Groesse geaendert werden kann. Lediglich die Groesse aus der uebergebenen View wird ausgelesen und der bisherigen Groesse des Frames hinzugerechnet.

  Parameters:
    `newRightView` - Die neue View fuer die rechte Seite.

### getRightBusinessView

    public BusinessView getRightBusinessView()

  Gibt die auf der rechten Seite gesetzte View zurueck.

  Returns:
    Die auf der rechten Seite gesetzte View.

### setLeftBusinessView

    public void setLeftBusinessView(BusinessView newLeftView)

  Setzt die uebergebene View als linke View im Frame. Aus der uebergebenen View wird hier aber nicht der Titel ausgelesen oder die Eigenschaft, ob das Frame in der Groesse geaendert werden kann. Lediglich die Groesse aus der uebergebenen View wird ausgelesen und der bisherigen Groesse des Frames hinzugerechnet.

  Parameters:
    `newLeftView` - Die neue View fuer die linke Seite.

### getLeftBusinessView

    public BusinessView getLeftBusinessView()

  Gibt die auf der linken Seite gesetzte View zurueck.

  Returns:
    Die auf der linken Seite gesetzte View.

### setMenue

    public void setMenue(BusinessMenu menue)

  Setzt das Menü für dieses Frame.

  Parameters:
    `menue` - Das Menue fuer das Frame.

### getMenue

    public BusinessMenu getMenue()

  Gibt das Menü des Frames zurück.

  Returns:
    Das Menue des Frames.

### setToolbar

    public void setToolbar(BusinessToolbar toolbar)

  Setzt die Toolbar für dieses Frame.

  Parameters:
    `toolbar` - Die Toolbar fuer das Frame.

### getToolbar

    public BusinessToolbar getToolbar()

  Gibt die Toolbar des Frames zurück.

  Returns:
    Die Toolbar des Frames.

### removeToolbar

    public void removeToolbar()

  Löscht die Toolbar aus der Anzeige.

### setStatusArea

    public void setStatusArea(DefaultStatusZeile statusArea)

  Setzt eine Statuszeile im Dialog.

  Parameters:
    `statusArea` - Die Statuszeile fuer das Frame.

### getStatusArea

    public DefaultStatusZeile getStatusArea()

  Gibt die angezeigte StatusArea zurück.

  Returns:
    Die Statuszeile des Frames.

### removeStatusArea

    public void removeStatusArea()

  Löscht die Statuszeile aus der Anzeige.

### zentrieren

    public void zentrieren()

  Zentriert das Frame auf der Mitte des Bildschirms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD